Subject: [os2genau_digest] No. 706
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 6 Oct 2003 00:03:57 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 05 October 2003
 Number  706
**************************************************

Subjects for today
 
1   Fwd: RE: Problem With Exceptions : Gregory Hicks" <ghicks at ihug dot com dot au>

**= Email   1 ==========================**

Date:  Sun, 05 Oct 2003 10:29:56 -0850 (CDT)
From:  "Gregory Hicks" <ghicks at ihug dot com dot au>
Subject:   Fwd: RE: Problem With Exceptions

Found a littel GEM on one of my mailing lists..

System Admins and programmers - read and laugh at the misfortune of one...

>To: cbuilder at topica dot com>

> Would it help for you if you changed the ShortDateFormat and 
> LongDateFormat global variables? Take a look at the "Currency and 
> date/time formatting variables" in the help. You can 
> hard-wire your date 
> preferences, instead of reading them from Windows. That way you could 
> make your application independent from the Windows locale. 
> That's very 
> important in Europe too, where some people use English Windows, and 
> others use localized Windows.

Yes, indeed it helped in some situation, mostly when the users weren't
required to see/type the data. But in some case, it's rude to bind the
user to a specific format if they're not used to it.

There was this "luser" once... It was before I work here. He called on a
Sunday morning, on fire, yelling about his reports "not being printed
correctly"... It was a critical application, so I jumped in my clothes,
grabbed a cup of coffee and got to the customer's house, both eyes still
shut... He had brought a new computer, with US English Windows on it, so
when he asked for the 02/05/2001 report, the system printed the February
5th 2001 report instead of the May 2nd...

What did I learn from this experience?
1) Date, time, float and other "localization-dependant" types that
interract with the user must be parsed by hand.
2) Don't give your personal phone number to a user. :)

Martin V.

====
Developing software is a grueling workout. Outfit yourself
with gear made for the long haul. Get tutorials, skills, and
code for open standards-based software at developerWorks.
http://www.topica dot com/partner/AP-3MBD37/partners/ibm/aff_landing.html
====
==^==================
This email was sent to: ghicks at ihug dot com dot au

EASY UNSUBSCRIBE click here: http://topica dot com/u/?b1deS0.b2OEuJ.Z2hpY2tz
Or send an email to: cbuilder-unsubscribe at topica dot com

TOPICA - Start your own email discussion group. FREE!
http://www.topica dot com/partner/tag02/create/index2.html
==^==================

===================END FORWARDED MESSAGE===================

----------------------------------------------------------------------------------